## org.exist.xmldb.test
Class XmldbURITest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.XmldbURITest

All Implemented Interfaces:
  junit.framework.Test

public class XmldbURITest
extends junit.framework.TestCase

Constructor Summary
`XmldbURITest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testAppenders()`
`void` `testFailingXmldbURIConstructors()`
`void` `testXmldbURICollectionPathEncoding1()`
`void` `testXmldbURICollectionPathEncoding2()`
`void` `testXmldbURICompareTo1()`
`void` `testXmldbURICompareTo2()`
`void` `testXmldbURICompareTo3()`
`void` `testXmldbURICompareTo4()`
`void` `testXmldbURIConstructor1()`
`void` `testXmldbURIConstructor10()`
`void` `testXmldbURIConstructor11()`
`void` `testXmldbURIConstructor12()`
`void` `testXmldbURIConstructor13()`
`void` `testXmldbURIConstructor14()`
`void` `testXmldbURIConstructor15()`
`void` `testXmldbURIConstructor2()`
`void` `testXmldbURIConstructor3()`
`void` `testXmldbURIConstructor4()`
`void` `testXmldbURIConstructor5()`
`void` `testXmldbURIConstructor6()`
`void` `testXmldbURIConstructor7()`
`void` `testXmldbURIConstructor8()`
`void` `testXmldbURIConstructor9()`
`void` `testXmldbURIConstructors()`
`void` `testXmldbURIEquals1()`
`void` `testXmldbURIEquals2()`
`void` `testXmldbURIEquals3()`
`void` `testXmldbURIEquals4()`
`void` `testXmldbURIEquals5()`
`void` `testXmldbURIFaultyConstructor1()`
`void` `testXmldbURIFaultyConstructor2()`
`void` `testXmldbURIFaultyConstructor3()`
`void` `testXmldbURIFaultyConstructor4()`
`void` `testXmldbURIIsAbsolute1()`
`void` `testXmldbURIIsAbsolute2()`
`void` `testXmldbURIIsAbsolute3()`
`void` `testXmldbURIIsCollectionNameAbsolute1()`
`void` `testXmldbURIIsContextAbsolute1()`
`void` `testXmldbURILastSegment()`
`void` `testXmldbURINormalizeCollectionName1()`
`void` `testXmldbURINormalizeCollectionName2()`
`void` `testXmldbURINormalizeCollectionName3()`
`void` `testXmldbURINormalizeContext1()`
`void` `testXmldbURINormalizeContext2()`
`void` `testXmldbURINormalizeContext3()`
`void` `testXmldbURIRelativizeCollectionName1()`
`void` `testXmldbURIRelativizeCollectionName2()`
`void` `testXmldbURIRelativizeCollectionName3()`
`void` `testXmldbURIRelativizeContext1()`
`void` `testXmldbURIRelativizeContext2()`
`void` `testXmldbURIRelativizeContext3()`
`void` `testXmldbURIRemoveLastSegment()`
`void` `testXmldbURIResolveCollectionName1()`
`void` `testXmldbURIResolveCollectionName2()`
`void` `testXmldbURIResolveCollectionName3()`
`void` `testXmldbURIResolveCollectionName4()`
`void` `testXmldbURIResolveContext1()`
`void` `testXmldbURIResolveContext2()`
`void` `testXmldbURIResolveContext3()`
`void` `testXmldbURIResolveContext4()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmldbURITest

    public XmldbURITest()

Method Detail

### testXmldbURIConstructors

    public void testXmldbURIConstructors()

### testFailingXmldbURIConstructors

    public void testFailingXmldbURIConstructors()

### testXmldbURIConstructor1

    public void testXmldbURIConstructor1()

### testXmldbURIConstructor2

    public void testXmldbURIConstructor2()

### testXmldbURIConstructor3

    public void testXmldbURIConstructor3()

### testXmldbURIConstructor4

    public void testXmldbURIConstructor4()

### testXmldbURIConstructor5

    public void testXmldbURIConstructor5()

### testXmldbURIConstructor6

    public void testXmldbURIConstructor6()

### testXmldbURIConstructor7

    public void testXmldbURIConstructor7()

### testXmldbURIConstructor8

    public void testXmldbURIConstructor8()

### testXmldbURIConstructor9

    public void testXmldbURIConstructor9()

### testXmldbURIConstructor10

    public void testXmldbURIConstructor10()

### testXmldbURIConstructor11

    public void testXmldbURIConstructor11()

### testXmldbURIConstructor12

    public void testXmldbURIConstructor12()

### testXmldbURIConstructor13

    public void testXmldbURIConstructor13()

### testXmldbURIConstructor14

    public void testXmldbURIConstructor14()

### testXmldbURIConstructor15

    public void testXmldbURIConstructor15()

### testXmldbURIFaultyConstructor1

    public void testXmldbURIFaultyConstructor1()

### testXmldbURIFaultyConstructor2

    public void testXmldbURIFaultyConstructor2()

### testXmldbURIFaultyConstructor3

    public void testXmldbURIFaultyConstructor3()

### testXmldbURIFaultyConstructor4

    public void testXmldbURIFaultyConstructor4()

### testXmldbURICompareTo1

    public void testXmldbURICompareTo1()

### testXmldbURICompareTo2

    public void testXmldbURICompareTo2()

### testXmldbURICompareTo3

    public void testXmldbURICompareTo3()

### testXmldbURICompareTo4

    public void testXmldbURICompareTo4()

### testXmldbURIEquals1

    public void testXmldbURIEquals1()

### testXmldbURIEquals2

    public void testXmldbURIEquals2()

### testXmldbURIEquals3

    public void testXmldbURIEquals3()

### testXmldbURIEquals4

    public void testXmldbURIEquals4()

### testXmldbURIEquals5

    public void testXmldbURIEquals5()

### testXmldbURIIsAbsolute1

    public void testXmldbURIIsAbsolute1()

### testXmldbURIIsAbsolute2

    public void testXmldbURIIsAbsolute2()

### testXmldbURIIsAbsolute3

    public void testXmldbURIIsAbsolute3()

### testXmldbURIIsContextAbsolute1

    public void testXmldbURIIsContextAbsolute1()

### testXmldbURINormalizeContext1

    public void testXmldbURINormalizeContext1()

### testXmldbURINormalizeContext2

    public void testXmldbURINormalizeContext2()

### testXmldbURINormalizeContext3

    public void testXmldbURINormalizeContext3()

### testXmldbURIRelativizeContext1

    public void testXmldbURIRelativizeContext1()

### testXmldbURIRelativizeContext2

    public void testXmldbURIRelativizeContext2()

### testXmldbURIRelativizeContext3

    public void testXmldbURIRelativizeContext3()

### testXmldbURIResolveContext1

    public void testXmldbURIResolveContext1()

### testXmldbURIResolveContext2

    public void testXmldbURIResolveContext2()

### testXmldbURIResolveContext3

    public void testXmldbURIResolveContext3()

### testXmldbURIResolveContext4

    public void testXmldbURIResolveContext4()

### testXmldbURIIsCollectionNameAbsolute1

    public void testXmldbURIIsCollectionNameAbsolute1()

### testXmldbURINormalizeCollectionName1

    public void testXmldbURINormalizeCollectionName1()

### testXmldbURINormalizeCollectionName2

    public void testXmldbURINormalizeCollectionName2()

### testXmldbURINormalizeCollectionName3

    public void testXmldbURINormalizeCollectionName3()

### testXmldbURIRelativizeCollectionName1

    public void testXmldbURIRelativizeCollectionName1()

### testXmldbURIRelativizeCollectionName2

    public void testXmldbURIRelativizeCollectionName2()

### testXmldbURIRelativizeCollectionName3

    public void testXmldbURIRelativizeCollectionName3()

### testXmldbURIResolveCollectionName1

    public void testXmldbURIResolveCollectionName1()

### testXmldbURIResolveCollectionName2

    public void testXmldbURIResolveCollectionName2()

### testXmldbURIResolveCollectionName3

    public void testXmldbURIResolveCollectionName3()

### testXmldbURIResolveCollectionName4

    public void testXmldbURIResolveCollectionName4()

### testXmldbURICollectionPathEncoding1

    public void testXmldbURICollectionPathEncoding1()

### testXmldbURICollectionPathEncoding2

    public void testXmldbURICollectionPathEncoding2()

### testXmldbURILastSegment

    public void testXmldbURILastSegment()

### testXmldbURIRemoveLastSegment

    public void testXmldbURIRemoveLastSegment()

### testAppenders

    public void testAppenders()

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.